use crate::buttons::Buttons;
use glam::IVec2;

/// Input State
///
/// GSA pretends all input is a snes-like gamepad
/// d-pad, 4 face buttons, l and r shoulder buttons, start and select
#[derive(Default)]
pub struct Input {
    /// Buttons that are currentle held down
    pub down: Buttons,

    /// Buttons that have been pressed in the current frame
    pub pressed: Buttons,

    /// Directional vector (-1 to 1) from current dpad state
    pub dir: IVec2,
}
