use glam::IVec2;
use std::fmt::{Display, Formatter};

/// Sprite which will be displayed on screen, unless tile=0
#[derive(Default, Copy, Clone)]
pub struct Sprite {
    /// Position on screen
    pub pos: IVec2,
    /// Tile index
    pub tile: u16,
}

impl Display for Sprite {
    fn fmt(&self, f: &mut Formatter<'_>) -> std::fmt::Result {
        write!(f, "[pos: {}, tile: {}]", self.pos, self.tile)
    }
}
