use crate::TILEMAP_MAX_SIZE;
use glam::IVec2;

/// Tilemap which will be rendered on screen
pub struct Tilemap {
    /// Tiles in idx, accessible via \[x\]\[y\], x and y 0..[TILEMAP_MAX_SIZE]
    pub tiles: Box<[[u16; TILEMAP_MAX_SIZE]; TILEMAP_MAX_SIZE]>,
    /// Camera scroll (negative draw offset) for rendering
    pub scroll: IVec2,
    /// Are tiles indices half-tile indices?
    pub half_tile: bool,
}

impl Default for Tilemap {
    fn default() -> Self {
        Self {
            tiles: [[0u16; TILEMAP_MAX_SIZE]; TILEMAP_MAX_SIZE].into(),
            scroll: IVec2::ZERO,
            half_tile: false,
        }
    }
}
